# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Runtime-Conflicts
Version:	0.003
Release:	20.%{__distinit}%{__distvers}
Summary:	Provide information on conflicts for Module::Runtime
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Module-Runtime-Conflicts
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Runtime-Conflicts-%{version}.tar.gz
BuildArch:	noarch
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module:
BuildRequires:	perl(Dist::CheckConflicts)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Tests:
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(if)
BuildRequires:	perl(Module::Metadata)
BuildRequires:	perl(Test::More) >= 0.88
# Optional Tests:
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Dependencies:
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Dist::CheckConflicts)

%description
This module provides conflicts checking for Module::Runtime, which had a
release that broke some versions of Moose. It is called from Moose::Conflicts
and moose-outdated.

%prep
%setup -q -n Module-Runtime-Conflicts-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Runtime::Conflicts.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 0.003-20
- Use SPDX-format license tag
- Use %%license unconditionally

* Sun Jun  9 2019 Paul Howarth <paul@city-fan.org> - 0.003-9
- Perl 5.30 rebuild

* Thu Apr 26 2018 Paul Howarth <paul@city-fan.org> - 0.003-2
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.88

* Thu Jun 23 2016 Paul Howarth <paul@city-fan.org> - 0.003-1
- Update to 0.003
  - Makefile.PL now also checks for incompatible Moose versions
- Switch to ExtUtils::MakeMaker flow
- BR: perl-generators where available

* Sat Jun 27 2015 Paul Howarth <paul@city-fan.org> - 0.002-2
- Perl 5.22 rebuild

* Fri Mar 13 2015 Paul Howarth <paul@city-fan.org> - 0.002-1
- Update to 0.002
  - Make this module actually check the proper versions :/
  - Add entries for MooseX:NonMoose and Elasticsearch, both of which also had
    issues with changes to Module::Runtime

* Fri Sep 26 2014 Paul Howarth <paul@city-fan.org> - 0.001-1
- Initial RPM version
